Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodelistindexnotzero Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodelistindexnotzero (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The items in the list are accessible via an integral index starting from zero. (Index not equal 0)

Create a list of all the children elements of the third employee and access its fourth child by using an index of 3. This should result in "name" being selected. Further we evaluate its content(by using the "getNodeName()" method) to ensure the proper element was accessed.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-844377136

Definition at line 48 of file nodelistindexnotzero.java.

## Constructor & Destructor Documentation

nodelistindexnotzero::nodelistindexnotzero | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file nodelistindexnotzero.java.
    00051  {
    00052       super(factory);
    00053
    00054    }

## Member Function Documentation

String nodelistindexnotzero::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 83 of file nodelistindexnotzero.java.
    00083                                 {
    00084       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodelistindexnotzero";
    00085    }

void nodelistindexnotzero::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 86 of file nodelistindexnotzero.java. References DOMTestCase::doMain().
    00086                                           {
    00087         DOMTestCase.doMain(nodelistindexnotzero.class,args);
    00088    }

void nodelistindexnotzero::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 56 of file nodelistindexnotzero.java. References DOMTestCase::assertEquals(), DOMTest::isIgnoringElementContentWhitespace(), and DOMTest::load().
    00056                                                     {
    00057       Document doc;
    00058       NodeList elementList;
    00059       Node employeeNode;
    00060       NodeList employeeList;
    00061       Node child;
    00062       String childName;
    00063       doc = load("staff");
    00064       elementList = doc.getElementsByTagName("employee");
    00065       employeeNode = elementList.item(2);
    00066       employeeList = employeeNode.getChildNodes();
    00067       child = employeeList.item(3);
    00068       childName = child.getNodeName();
    00069
    00070         if(
    00071         isIgnoringElementContentWhitespace()
    00072         ) {
    00073         assertEquals("item3_Nowhitespace","salary",childName);
    00074
    00075         }
    00076
    00077                 else {
    00078                         assertEquals("item3_Whitespace","name",childName);
    00079
    00080                 }
    00081
    00082    }

The documentation for this class was generated from the following file:

- nodelistindexnotzero.java